Skip to content

# Interface: WizardProps ‹D›

## Type parameters

▪ D

## Hierarchy

- WizardCommonProps

↳ WizardProps

## Index

### Properties

- className
- data
- done
- header
- hideSteps
- onChange
- reset
- save
- step
- title

## Properties

### `Optional` className

• className? : string

Defined in src/renderer/components/wizard/wizard.tsx:18

### `Optional` data

• data? : Partial‹D›

Inherited from WizardProps.data

Defined in src/renderer/components/wizard/wizard.tsx:10

### `Optional` done

• done? : function

Inherited from WizardProps.done

Defined in src/renderer/components/wizard/wizard.tsx:13

#### Type declaration:

▸ (): void

### `Optional` header

• header? : React.ReactNode

Defined in src/renderer/components/wizard/wizard.tsx:21

### `Optional` hideSteps

• hideSteps? : boolean

Inherited from WizardProps.hideSteps

Defined in src/renderer/components/wizard/wizard.tsx:14

### `Optional` onChange

• onChange? : function

Defined in src/renderer/components/wizard/wizard.tsx:22

#### Type declaration:

▸ (`step`: number): void

Parameters:

Name | Type
--- | ---
`step` | number

### `Optional` reset

• reset? : function

Inherited from WizardProps.reset

Defined in src/renderer/components/wizard/wizard.tsx:12

#### Type declaration:

▸ (): void

### `Optional` save

• save? : function

Inherited from WizardProps.save

Defined in src/renderer/components/wizard/wizard.tsx:11

#### Type declaration:

▸ (`data`: Partial‹D›, `callback?`: function): void

Parameters:

▪ data: Partial‹D›

▪`Optional` callback: function

▸ (): void

### `Optional` step

• step? : number

Defined in src/renderer/components/wizard/wizard.tsx:19

### `Optional` title

• title? : string

Defined in src/renderer/components/wizard/wizard.tsx:20